<?php
defined('_JEXEC') or  die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );
/*
* Best selling Products module for VirtueMart
* @version $Id: mod_virtuemart_category.php 1160 2014-05-06 20:35:19Z milbo $
* @package VirtueMart
* @subpackage modules
*
* @copyright (C) 2011-2015 The Virtuemart Team
*
*
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* VirtueMart is Free Software.
* VirtueMart comes with absolute no warranty.
*
* www.virtuemart.net
*----------------------------------------------------------------------
* This code creates a list of the bestselling products
* and displays it wherever you want
*----------------------------------------------------------------------
*/

// VirtueMart Setting
if(!class_exists('VmConfig')) {
	require(JPATH_ROOT . '/administrator/components/com_virtuemart/helpers/config.php');
}

VmConfig::loadConfig();
VmConfig::loadJLang('mod_mj_vm_category', true);
vmJsApi::jQuery();
vmJsApi::cssSite();

require_once(dirname(__FILE__).'/helper.php');

/* Setting */
$categoryModel = VmModel::getModel('Category');

$category_id = $params->get('Parent_Category_id', 0);
$moduleclass_sfx = $params->get('moduleclass_sfx','');
$layout = $params->get('layout','default');
$vendorId = '1';

$categories = $categoryModel->getChildCategoryList($vendorId, $category_id);
//print_r($categories);
// We dont use image here
$categoryModel->addImages($categories);



if(empty($categories)) return false;


/* Load tmpl default */
require(JModuleHelper::getLayoutPath('mod_mj_vm_category',$layout));
?>